#ifndef _TEST_TPCLINOPT_H_
#define _TEST_TPCLINOPT_H_
/*****************************************************************************/

/*****************************************************************************/
#include "tpcclibConfig.h"
/*****************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
/*****************************************************************************/
#include "tpclinopt.h"
/*****************************************************************************/

/*****************************************************************************/
/* regression */
int test_fitLine(TPCSTATUS *status);
int test_fitLinePearson(TPCSTATUS *status);
int test_highestSlope(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* qrlsq */
int test_qr(TPCSTATUS *status);
int test_qrLSQ(TPCSTATUS *status);
int test_qr_decomp(TPCSTATUS *status);
int test_qrSimpleLSQ(TPCSTATUS *status);
int test_qrWeight(TPCSTATUS *status);
int test_qrWeightRm(TPCSTATUS *status);
int test_qrLH(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* nnls */
int test_nnls(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* bvls */
int test_bvls(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
#endif /* TEST_TPCLINOPT */
